#include <demo1.h>

#define __modfunc(prefix,name) prefix ## _LTX_ ## name
#ifdef modname
/* in a module */
# define _modfunc(prefix,name) __modfunc(prefix,name) 
# define modfunc(name) _modfunc(modname,name)
# define __modvar(prefix,name) _ ## prefix ## _ ## name
# define _modvar(prefix,name) __modvar(prefix,name) 
# define modvar(name) _modvar(modname,name)
extern void modfunc(init)(void);
extern int modfunc(get)(void);
extern void modfunc(set)(int val);
extern const char *modfunc(str)(void);
#else
/* in modapp */
# include <ltdl.h>
# define modfunc(prefix,name) __modfunc(prefix,name)
typedef void (init_proc)(void);
typedef int (get_proc)(void);
typedef void (set_proc)(int val);
typedef const char *(str_proc)(void);
#endif
